PR_SET_SECUREBITS(2const)

NAME
PR_SET_SECUREBITS - set the "securebits" flags of the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_SECUREBITS, unsigned long flags);

DESCRIPTION
Set the "securebits" flags of the calling thread to the value supplied in flags. See capabilities(7).

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    flags is not a valid value.

EPERM
    The caller does not have the CAP_SETPCAP capability, or tried to unset a "locked" flag, or tried to set a flag whose corresponding locked flag was set (see capabilities(7)).

STANDARDS
Linux.

HISTORY
Linux 2.6.26.

SEE ALSO
prctl(2), PR_GET_SECUREBITS(2const), capabilities(7)